## org.apache.lucene.search
Interface FieldCache.FloatParser

All Superinterfaces:
  FieldCache.Parser, java.io.Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.FloatParser

extends FieldCache.Parser

Interface to parse floats from document fields.

See Also:
  `FieldCache.getFloats(IndexReader, String, FieldCache.FloatParser)`

Method Summary
`float` `parseFloat(java.lang.String string)` Return an float representation of this field's value.

Method Detail

### parseFloat

    float parseFloat(java.lang.String string)

  Return an float representation of this field's value.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.